> ## Documentation Index > Fetch the complete documentation index at: https://docs.processmaker.com/llms.txt > Use this file to discover all available pages before exploring further. # Returns all users available for a given group > Display a listing of users available ## OpenAPI ````json GET /user_members_available { "openapi": "3.0.0", "info": { "title": "ProcessMaker API", "description": "", "contact": { "email": "info@processmaker.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "1.0.0" }, "servers": [ { "url": "/api/1.0" } ], "security": [ { "passport": [], "bearer": [] } ], "tags": [ { "name": "Cases", "description": "Cases" }, { "name": "CssSettings", "description": "CssSettings" }, { "name": "Environment Variables", "description": "Environment Variables" }, { "name": "Files", "description": "Files" }, { "name": "Groups", "description": "Groups" }, { "name": "Group Members", "description": "Group Members" }, { "name": "Notifications", "description": "Notifications" }, { "name": "Permissions", "description": "Permissions" }, { "name": "Process Categories", "description": "Process Categories" }, { "name": "Processes", "description": "Processes" }, { "name": "Process Requests", "description": "Process Requests" }, { "name": "Request Files", "description": "Request Files" }, { "name": "Screen Categories", "description": "Screen Categories" }, { "name": "Screens", "description": "Screens" }, { "name": "Script Categories", "description": "Script Categories" }, { "name": "Scripts", "description": "Scripts" }, { "name": "Rebuild Script Executors", "description": "Rebuild Script Executors" }, { "name": "Security Logs", "description": "Security Logs" }, { "name": "Settings", "description": "Settings" }, { "name": "Signals", "description": "Signals" }, { "name": "Task Assignments", "description": "Task Assignments" }, { "name": "Tasks", "description": "Tasks" }, { "name": "Users", "description": "Users" }, { "name": "Personal Tokens", "description": "Personal Tokens" }, { "name": "Processes Variables", "description": "Processes Variables" }, { "name": "AnalyticsReporting", "description": "AnalyticsReporting" }, { "name": "Collections", "description": "Collections" }, { "name": "Comments", "description": "Comments" }, { "name": "DataSourcesCategories", "description": "DataSourcesCategories" }, { "name": "DataSources", "description": "DataSources" }, { "name": "DecisionTableCategories", "description": "DecisionTableCategories" }, { "name": "DecisionTables", "description": "DecisionTables" }, { "name": "SavedSearchCharts", "description": "SavedSearchCharts" }, { "name": "Reports", "description": "Reports" }, { "name": "SavedSearches", "description": "SavedSearches" }, { "name": "Version History", "description": "Version History" } ], "paths": { "/user_members_available": { "get": { "tags": [ "Group Members" ], "summary": "Returns all users available for a given group", "description": "Display a listing of users available", "operationId": "getUserMembersAvailable", "parameters": [ { "name": "group_id", "in": "path", "description": "ID of group to return", "required": true, "schema": { "type": "string" } }, { "name": "filter", "in": "query", "description": "Filter results by string. Searches Name. Can be a substring.", "schema": { "type": "string" } }, { "$ref": "#/components/parameters/order_by" }, { "$ref": "#/components/parameters/order_direction" }, { "$ref": "#/components/parameters/per_page" } ], "responses": { "200": { "description": "list of users available to be assigned as member", "content": { "application/json": { "schema": { "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/users" } }, "meta": { "$ref": "#/components/schemas/metadata" } }, "type": "object" } } } } } } } }, "components": { "parameters": { "order_by": { "name": "order_by", "in": "query", "description": "Field to order results by", "schema": { "type": "string" } }, "order_direction": { "name": "order_direction", "in": "query", "schema": { "type": "string", "default": "asc", "enum": [ "asc", "desc" ] } }, "per_page": { "name": "per_page", "in": "query", "schema": { "type": "integer", "default": "10" } } }, "schemas": { "users": { "allOf": [ { "$ref": "#/components/schemas/usersEditable" }, { "properties": { "id": { "type": "integer" }, "created_at": { "type": "string", "format": "date-time" }, "updated_at": { "type": "string", "format": "date-time" }, "deleted_at": { "type": "string", "format": "date-time" } }, "type": "object" } ] }, "metadata": { "properties": { "filter": { "type": "string" }, "sort_by": { "type": "string" }, "sort_order": { "type": "string", "enum": [ "asc", "desc" ] }, "count": { "type": "integer" }, "total_pages": { "type": "integer" }, "current_page": { "type": "integer" }, "form": { "type": "integer" }, "last_page": { "type": "integer" }, "path": { "type": "string" }, "per_page": { "type": "integer" }, "to": { "type": "integer" }, "total": { "type": "integer" } }, "type": "object" }, "usersEditable": { "properties": { "email": { "description": "The attributes that are mass assignable.", "type": "string", "format": "email" }, "firstname": { "type": "string" }, "lastname": { "type": "string" }, "username": { "type": "string" }, "password": { "type": "string" }, "address": { "type": "string" }, "city": { "type": "string" }, "state": { "type": "string" }, "postal": { "type": "string" }, "country": { "type": "string" }, "phone": { "type": "string" }, "fax": { "type": "string" }, "cell": { "type": "string" }, "title": { "type": "string" }, "timezone": { "type": "string" }, "datetime_format": { "type": "string" }, "language": { "type": "string" }, "is_administrator": { "type": "boolean" }, "expires_at": { "type": "string" }, "loggedin_at": { "type": "string" }, "remember_token": { "type": "string" }, "status": { "type": "string", "enum": [ "ACTIVE", "INACTIVE", "SCHEDULED", "OUT_OF_OFFICE", "BLOCKED" ] }, "fullname": { "type": "string" }, "avatar": { "type": "string" }, "media": { "type": "array", "items": { "$ref": "#/components/schemas/media" } }, "birthdate": { "type": "string", "format": "date" }, "delegation_user_id": { "type": "string", "format": "id" }, "manager_id": { "type": "string", "format": "id" }, "meta": { "type": "object", "additionalProperties": true }, "force_change_password": { "type": "boolean" }, "email_task_notification": { "type": "boolean" } }, "type": "object" }, "media": { "type": "object", "allOf": [ { "$ref": "#/components/schemas/mediaEditable" }, { "properties": { "created_at": { "type": "string", "format": "date-time" }, "updated_at": { "type": "string", "format": "date-time" } }, "type": "object" } ] }, "mediaEditable": { "properties": { "id": { "description": "Represents media files stored in the database", "type": "integer", "format": "id" }, "model_id": { "type": "integer", "format": "id" }, "model_type": { "type": "string", "format": "id" }, "collection_name": { "type": "string" }, "name": { "type": "string" }, "file_name": { "type": "string" }, "mime_type": { "type": "string" }, "disk": { "type": "string" }, "size": { "type": "integer" }, "manipulations": { "type": "object" }, "custom_properties": { "type": "object" }, "responsive_images": { "type": "object" }, "order_column": { "type": "integer" } }, "type": "object" } }, "securitySchemes": { "passport": { "type": "oauth2", "description": "Laravel passport oauth2 security.", "flows": { "authorizationCode": { "authorizationUrl": "/oauth/authorize", "tokenUrl": "/oauth/token", "refreshUrl": "/token/refresh", "scopes": {} } } }, "bearer": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } } } ````